Class | Chef::SolrInstaller
In: | lib/chef/solr/solr_installer.rb
Parent: | Object

### Methods

chdir chef_solr_installed? chown confirm_overwrite create_solr_data_dir create_solr_home group indent mkdir_p new overwriting? rm_rf run say scorch_the_earth sh unpack_solr_jetty

### Included Modules

Chef::Mixin::ShellOut

### Classes and Modules

Class Chef::SolrInstaller::Config

### Constants

PACKAGED_SOLR_DIR | = | File.expand_path( "../../../../solr", __FILE__)

### Attributes

config | [R] |

### Public Class methods

new(argv)

### Public Instance methods

chdir(dir) {|if block_given?| ...}
chef_solr_installed?()
chown(file)
confirm_overwrite()
create_solr_data_dir()
create_solr_home()
group(message, &block)
indent() {|| ...}
mkdir_p(directory)
overwriting?()
rm_rf(path)
run()
say(message)
scorch_the_earth()
sh(*args)
unpack_solr_jetty()

[Validate]